Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
observability
/
deployments
/
{deploymentId}
/
logs
Get Model Logs
curl --request GET \
  --url https://api.tensormesh.ai/v1/observability/deployments/{deploymentId}/logs \
  --header 'Authorization: Bearer <token>'
{
  "logs": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Path Parameters

deploymentId
string
required

Deployment ID to retrieve logs for. Must be provided.

Query Parameters

userId
string

User ID for authorization. Must be a valid UUID.

startTime
string<date-time>

Optional start time for the logs query.

endTime
string<date-time>

Optional end time for the logs query.

limit
integer<int64>

Optional limit for the logs query.

direction
enum<string>
default:LOG_DIRECTION_UNSPECIFIED

Optional direction for the logs query.

  • LOG_DIRECTION_UNSPECIFIED: Unspecified direction.
  • LOG_DIRECTION_FORWARD: Forward direction.
  • LOG_DIRECTION_BACKWARD: Backward direction.
Available options:
LOG_DIRECTION_UNSPECIFIED,
LOG_DIRECTION_FORWARD,
LOG_DIRECTION_BACKWARD

Response

A successful response.

GetModelLogsResponse contains the deployment logs.

logs
object[]

Logs data.